Changeset 1388d19 in rtems


Ignore:
Timestamp:
Jun 4, 1998, 3:15:08 PM (23 years ago)
Author:
Joel Sherrill <joel.sherrill@…>
Branches:
4.10, 4.11, 4.8, 4.9, 5, master
Children:
cec1095
Parents:
70b0d66
Message:

Regenerated aclocal and configure after cleaning up the check that
a BSP source directory was present to eliminate a chunk of redundant code.

Files:
2 edited

Legend:

Unmodified
Added
Removed
  • configure

    r70b0d66 r1388d19  
    23252325    # The bare bsp is a special case as it is not under the target_cpu path
    23262326    case $i in
    2327       bare)
    2328         if test -d "$srcdir/c/src/lib/libbsp/$bspdir"; then
    2329           RTEMS_BSP_LIST="$RTEMS_BSP_LIST $i"
    2330           # make sure the Makefiles in a bsp directory are only done once
    2331           echo $bspdirs | grep $bspdir >/dev/null 2>&1
    2332           if test $? -ne 0 ; then
    2333             bspdirs="$bspdirs $bspdir"
    2334            
    2335 echo $ac_n "checking for Makefile.in in c/src/lib/libbsp/$bspdir""... $ac_c" 1>&6
    2336 echo "configure:2337: checking for Makefile.in in c/src/lib/libbsp/$bspdir" >&5
    2337 if test -d $srcdir/c/src/lib/libbsp/$bspdir; then
     2327      bare)    bspcpudir= ;;
     2328      *)       bspcpudir=$target_cpu ;;
     2329    esac
     2330     
     2331    if test -d "$srcdir/c/src/lib/libbsp/$bspcpudir/$bspdir"; then
     2332      RTEMS_BSP_LIST="$RTEMS_BSP_LIST $i"
     2333      # make sure the Makefiles in a bsp directory are only done once
     2334      echo $bspdirs | grep $bspdir >/dev/null 2>&1
     2335      if test $? -ne 0 ; then
     2336        bspdirs="$bspdirs $bspdir"
     2337       
     2338echo $ac_n "checking for Makefile.in in c/src/lib/libbsp/$bspcpudir/$bspdir""... $ac_c" 1>&6
     2339echo "configure:2340: checking for Makefile.in in c/src/lib/libbsp/$bspcpudir/$bspdir" >&5
     2340if test -d $srcdir/c/src/lib/libbsp/$bspcpudir/$bspdir; then
    23382341  rtems_av_save_dir=`pwd`;
    23392342  cd $srcdir;
    2340   rtems_av_tmp=`find c/src/lib/libbsp/$bspdir -name "Makefile.in" -print | sed "s/Makefile\.in/%/" | sort | sed "s/%/Makefile/"`
     2343  rtems_av_tmp=`find c/src/lib/libbsp/$bspcpudir/$bspdir -name "Makefile.in" -print | sed "s/Makefile\.in/%/" | sort | sed "s/%/Makefile/"`
    23412344  makefiles="$makefiles $rtems_av_tmp";
    23422345  cd $rtems_av_save_dir;
     
    23472350
    23482351
    2349           fi
    2350         else
    2351           { echo "configure: error: unable to find libbsp directory ($bspdir) for  $i" 1>&2; exit 1; }
    2352         fi
    2353       ;;
    2354       *)
    2355         if test -d "$srcdir/c/src/lib/libbsp/$target_cpu/$bspdir"; then
    2356           RTEMS_BSP_LIST="$RTEMS_BSP_LIST $i"
    2357           # make sure the Makefiles in a bsp directory are only done once
    2358           echo $bspdirs | grep $bspdir >/dev/null 2>&1
    2359           if test $? -ne 0 ; then
    2360             bspdirs="$bspdirs $bspdir"
    2361            
    2362 echo $ac_n "checking for Makefile.in in c/src/lib/libbsp/$target_cpu/$bspdir""... $ac_c" 1>&6
    2363 echo "configure:2364: checking for Makefile.in in c/src/lib/libbsp/$target_cpu/$bspdir" >&5
    2364 if test -d $srcdir/c/src/lib/libbsp/$target_cpu/$bspdir; then
    2365   rtems_av_save_dir=`pwd`;
    2366   cd $srcdir;
    2367   rtems_av_tmp=`find c/src/lib/libbsp/$target_cpu/$bspdir -name "Makefile.in" -print | sed "s/Makefile\.in/%/" | sort | sed "s/%/Makefile/"`
    2368   makefiles="$makefiles $rtems_av_tmp";
    2369   cd $rtems_av_save_dir;
    2370   echo "$ac_t""done" 1>&6
    2371 else
    2372   echo "$ac_t""no" 1>&6
    2373 fi
    2374 
    2375 
    2376           fi
    2377         else
    2378           { echo "configure: error: unable to find libbsp directory ($bspdir) for  $i" 1>&2; exit 1; }
    2379         fi
    2380       ;;
    2381     esac
    2382    
     2352      fi
     2353    else
     2354      { echo "configure: error: unable to find libbsp directory ($bspdir) for  $i" 1>&2; exit 1; }
     2355    fi
    23832356  done
    23842357fi
     
    23872360
    23882361echo $ac_n "checking for Makefile.in in c/src/lib/libcpu/$target_cpu""... $ac_c" 1>&6
    2389 echo "configure:2390: checking for Makefile.in in c/src/lib/libcpu/$target_cpu" >&5
     2362echo "configure:2363: checking for Makefile.in in c/src/lib/libcpu/$target_cpu" >&5
    23902363if test -d $srcdir/c/src/lib/libcpu/$target_cpu; then
    23912364  rtems_av_save_dir=`pwd`;
     
    24042377 
    24052378echo $ac_n "checking for Makefile.in in c/src/lib/start/$target_cpu""... $ac_c" 1>&6
    2406 echo "configure:2407: checking for Makefile.in in c/src/lib/start/$target_cpu" >&5
     2379echo "configure:2380: checking for Makefile.in in c/src/lib/start/$target_cpu" >&5
    24072380if test -d $srcdir/c/src/lib/start/$target_cpu; then
    24082381  rtems_av_save_dir=`pwd`;
     
    24462419# If the tests are enabled, then find all the test suite Makefiles
    24472420echo $ac_n "checking if the test suites are enabled? ""... $ac_c" 1>&6
    2448 echo "configure:2449: checking if the test suites are enabled? " >&5
     2421echo "configure:2422: checking if the test suites are enabled? " >&5
    24492422tests_enabled=yes
    24502423# Check whether --enable-tests or --disable-tests was given.
     
    24652438
    24662439echo $ac_n "checking for Makefile.in in c/src/tests/tools/$target_cpu""... $ac_c" 1>&6
    2467 echo "configure:2468: checking for Makefile.in in c/src/tests/tools/$target_cpu" >&5
     2440echo "configure:2441: checking for Makefile.in in c/src/tests/tools/$target_cpu" >&5
    24682441if test -d $srcdir/c/src/tests/tools/$target_cpu; then
    24692442  rtems_av_save_dir=`pwd`;
     
    24822455   
    24832456echo $ac_n "checking for Makefile.in in c/src/tests/libtests""... $ac_c" 1>&6
    2484 echo "configure:2485: checking for Makefile.in in c/src/tests/libtests" >&5
     2457echo "configure:2458: checking for Makefile.in in c/src/tests/libtests" >&5
    24852458if test -d $srcdir/c/src/tests/libtests; then
    24862459  rtems_av_save_dir=`pwd`;
     
    24972470   
    24982471echo $ac_n "checking for Makefile.in in c/src/tests/sptests""... $ac_c" 1>&6
    2499 echo "configure:2500: checking for Makefile.in in c/src/tests/sptests" >&5
     2472echo "configure:2473: checking for Makefile.in in c/src/tests/sptests" >&5
    25002473if test -d $srcdir/c/src/tests/sptests; then
    25012474  rtems_av_save_dir=`pwd`;
     
    25122485   
    25132486echo $ac_n "checking for Makefile.in in c/src/tests/tmtests""... $ac_c" 1>&6
    2514 echo "configure:2515: checking for Makefile.in in c/src/tests/tmtests" >&5
     2487echo "configure:2488: checking for Makefile.in in c/src/tests/tmtests" >&5
    25152488if test -d $srcdir/c/src/tests/tmtests; then
    25162489  rtems_av_save_dir=`pwd`;
     
    25272500   
    25282501echo $ac_n "checking for Makefile.in in c/src/tests/mptests""... $ac_c" 1>&6
    2529 echo "configure:2530: checking for Makefile.in in c/src/tests/mptests" >&5
     2502echo "configure:2503: checking for Makefile.in in c/src/tests/mptests" >&5
    25302503if test -d $srcdir/c/src/tests/mptests; then
    25312504  rtems_av_save_dir=`pwd`;
     
    25432516     
    25442517echo $ac_n "checking for Makefile.in in c/src/tests/psxtests""... $ac_c" 1>&6
    2545 echo "configure:2546: checking for Makefile.in in c/src/tests/psxtests" >&5
     2518echo "configure:2519: checking for Makefile.in in c/src/tests/psxtests" >&5
    25462519if test -d $srcdir/c/src/tests/psxtests; then
    25472520  rtems_av_save_dir=`pwd`;
     
    25612534# If the HWAPI is enabled, the find the HWAPI Makefiles
    25622535echo $ac_n "checking if the HWAPI is enabled? ""... $ac_c" 1>&6
    2563 echo "configure:2564: checking if the HWAPI is enabled? " >&5
     2536echo "configure:2537: checking if the HWAPI is enabled? " >&5
    25642537# Check whether --enable-hwapi or --disable-hwapi was given.
    25652538if test "${enable_hwapi+set}" = set; then
     
    25722545           
    25732546echo $ac_n "checking for Makefile.in in c/src/lib/libhwapi/analog""... $ac_c" 1>&6
    2574 echo "configure:2575: checking for Makefile.in in c/src/lib/libhwapi/analog" >&5
     2547echo "configure:2548: checking for Makefile.in in c/src/lib/libhwapi/analog" >&5
    25752548if test -d $srcdir/c/src/lib/libhwapi/analog; then
    25762549  rtems_av_save_dir=`pwd`;
     
    25872560           
    25882561echo $ac_n "checking for Makefile.in in c/src/lib/libhwapi/discrete""... $ac_c" 1>&6
    2589 echo "configure:2590: checking for Makefile.in in c/src/lib/libhwapi/discrete" >&5
     2562echo "configure:2563: checking for Makefile.in in c/src/lib/libhwapi/discrete" >&5
    25902563if test -d $srcdir/c/src/lib/libhwapi/discrete; then
    25912564  rtems_av_save_dir=`pwd`;
     
    26022575           
    26032576echo $ac_n "checking for Makefile.in in c/src/lib/libhwapi/drivers""... $ac_c" 1>&6
    2604 echo "configure:2605: checking for Makefile.in in c/src/lib/libhwapi/drivers" >&5
     2577echo "configure:2578: checking for Makefile.in in c/src/lib/libhwapi/drivers" >&5
    26052578if test -d $srcdir/c/src/lib/libhwapi/drivers; then
    26062579  rtems_av_save_dir=`pwd`;
     
    26172590           
    26182591echo $ac_n "checking for Makefile.in in c/src/lib/libhwapi/non_volatile_memory""... $ac_c" 1>&6
    2619 echo "configure:2620: checking for Makefile.in in c/src/lib/libhwapi/non_volatile_memory" >&5
     2592echo "configure:2593: checking for Makefile.in in c/src/lib/libhwapi/non_volatile_memory" >&5
    26202593if test -d $srcdir/c/src/lib/libhwapi/non_volatile_memory; then
    26212594  rtems_av_save_dir=`pwd`;
     
    26322605           
    26332606echo $ac_n "checking for Makefile.in in c/src/lib/libhwapi/serial""... $ac_c" 1>&6
    2634 echo "configure:2635: checking for Makefile.in in c/src/lib/libhwapi/serial" >&5
     2607echo "configure:2608: checking for Makefile.in in c/src/lib/libhwapi/serial" >&5
    26352608if test -d $srcdir/c/src/lib/libhwapi/serial; then
    26362609  rtems_av_save_dir=`pwd`;
     
    26472620           
    26482621echo $ac_n "checking for Makefile.in in c/src/lib/libhwapi/support""... $ac_c" 1>&6
    2649 echo "configure:2650: checking for Makefile.in in c/src/lib/libhwapi/support" >&5
     2622echo "configure:2623: checking for Makefile.in in c/src/lib/libhwapi/support" >&5
    26502623if test -d $srcdir/c/src/lib/libhwapi/support; then
    26512624  rtems_av_save_dir=`pwd`;
     
    26622635           
    26632636echo $ac_n "checking for Makefile.in in c/src/lib/libhwapi/wrapup""... $ac_c" 1>&6
    2664 echo "configure:2665: checking for Makefile.in in c/src/lib/libhwapi/wrapup" >&5
     2637echo "configure:2638: checking for Makefile.in in c/src/lib/libhwapi/wrapup" >&5
    26652638if test -d $srcdir/c/src/lib/libhwapi/wrapup; then
    26662639  rtems_av_save_dir=`pwd`;
     
    27072680
    27082681echo $ac_n "checking for Makefile.in in c/build-tools""... $ac_c" 1>&6
    2709 echo "configure:2710: checking for Makefile.in in c/build-tools" >&5
     2682echo "configure:2683: checking for Makefile.in in c/build-tools" >&5
    27102683if test -d $srcdir/c/build-tools; then
    27112684  rtems_av_save_dir=`pwd`;
     
    27222695
    27232696echo $ac_n "checking for Makefile.in in make""... $ac_c" 1>&6
    2724 echo "configure:2725: checking for Makefile.in in make" >&5
     2697echo "configure:2698: checking for Makefile.in in make" >&5
    27252698if test -d $srcdir/make; then
    27262699  rtems_av_save_dir=`pwd`;
     
    27372710
    27382711echo $ac_n "checking for Makefile.in in c/src/lib/libmisc""... $ac_c" 1>&6
    2739 echo "configure:2740: checking for Makefile.in in c/src/lib/libmisc" >&5
     2712echo "configure:2713: checking for Makefile.in in c/src/lib/libmisc" >&5
    27402713if test -d $srcdir/c/src/lib/libmisc; then
    27412714  rtems_av_save_dir=`pwd`;
     
    27522725
    27532726echo $ac_n "checking for Makefile.in in c/src/tests/samples""... $ac_c" 1>&6
    2754 echo "configure:2755: checking for Makefile.in in c/src/tests/samples" >&5
     2727echo "configure:2728: checking for Makefile.in in c/src/tests/samples" >&5
    27552728if test -d $srcdir/c/src/tests/samples; then
    27562729  rtems_av_save_dir=`pwd`;
  • configure.in

    r70b0d66 r1388d19  
    286286    # The bare bsp is a special case as it is not under the target_cpu path
    287287    case $i in
    288       bare)
    289         if test -d "$srcdir/c/src/lib/libbsp/$bspdir"; then
    290           RTEMS_BSP_LIST="$RTEMS_BSP_LIST $i"
    291           # make sure the Makefiles in a bsp directory are only done once
    292           echo $bspdirs | grep $bspdir >/dev/null 2>&1
    293           if test $? -ne 0 ; then
    294             bspdirs="$bspdirs $bspdir"
    295             RTEMS_CHECK_MAKEFILE(c/src/lib/libbsp/$bspdir)
    296           fi
    297         else
    298           AC_MSG_ERROR([unable to find libbsp directory ($bspdir) for  $i])
    299         fi
    300       ;;
    301       *)
    302         if test -d "$srcdir/c/src/lib/libbsp/$target_cpu/$bspdir"; then
    303           RTEMS_BSP_LIST="$RTEMS_BSP_LIST $i"
    304           # make sure the Makefiles in a bsp directory are only done once
    305           echo $bspdirs | grep $bspdir >/dev/null 2>&1
    306           if test $? -ne 0 ; then
    307             bspdirs="$bspdirs $bspdir"
    308             RTEMS_CHECK_MAKEFILE(c/src/lib/libbsp/$target_cpu/$bspdir)
    309           fi
    310         else
    311           AC_MSG_ERROR([unable to find libbsp directory ($bspdir) for  $i])
    312         fi
    313       ;;
     288      bare)    bspcpudir= ;;
     289      *)       bspcpudir=$target_cpu ;;
    314290    esac
    315    
     291     
     292    if test -d "$srcdir/c/src/lib/libbsp/$bspcpudir/$bspdir"; then
     293      RTEMS_BSP_LIST="$RTEMS_BSP_LIST $i"
     294      # make sure the Makefiles in a bsp directory are only done once
     295      echo $bspdirs | grep $bspdir >/dev/null 2>&1
     296      if test $? -ne 0 ; then
     297        bspdirs="$bspdirs $bspdir"
     298        RTEMS_CHECK_MAKEFILE(c/src/lib/libbsp/$bspcpudir/$bspdir)
     299      fi
     300    else
     301      AC_MSG_ERROR([unable to find libbsp directory ($bspdir) for  $i])
     302    fi
    316303  done
    317304fi
Note: See TracChangeset for help on using the changeset viewer.